System.ServiceModel 4.0.0.0 System.Object

This specification is used to indicate which message parts need to be signed and which parts need to be encrypted.

Specifies which parts are included in a message.

- Constructor
  4.0.0.0
  To be added.

  Initializes an empty .

- Constructor
  4.0.0.0
  To be added.

  Initializes a new and specifies whether the message body is included.

  Initializes whether the message body is included in the specification.
- Constructor
  4.0.0.0
  System.ParamArray

  Each header is specified using its name and namespace.

  Initializes a new with an array of message headers.

  The array of header types to use.
- Constructor
  4.0.0.0
  System.ParamArray

  Each header is specified using its name and namespace. In addition, the parameter specifies whether the message body is to be included or not.

  Initializes a new with an array of message headers.

  Initializes whether the message body is included in the specification.
  The array of header types to use.
- Method
  4.0.0.0
  System.Void To be added.

  Clears the list of headers in this specification.

- Property
  4.0.0.0
  System.Collections.Generic.ICollection<System.Xml.XmlQualifiedName> To be added. To be added.

  Gets the header types for this specification.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets or sets a value that indicates whether the message body is included in this specification.

- Property
  4.0.0.0
  System.Boolean To be added.

  You can use to set this property to true. sets the property to false.

  Gets a value that indicates whether the specification is read only.

- Method
  4.0.0.0
  System.Void

  removes all headers in the specification and makes the collection read/write.

  Sets the specification to read only.

- Property
  4.0.0.0
  System.ServiceModel.Security.MessagePartSpecification To be added.

  If this property is null, a new empty instance of this class is created.

  Gets an empty instance of this class.

- Method
  4.0.0.0
  System.Void `` To be added.

  After the method is called, the holds all header information from both specifications, and the property is set to the logical OR of both specifications.

  Merges two message part specifications.